Bug 125132 - XML fragment parsing algorithm doesn't use the context element's default namespace URI
Summary: XML fragment parsing algorithm doesn't use the context element's default name...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: XML (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords:
Depends on:
Blocks: 125131
  Show dependency treegraph
 
Reported: 2013-12-02 22:02 PST by Ryosuke Niwa
Modified: 2013-12-04 00:04 PST (History)
10 users (show)

See Also:


Attachments
Patch (5.68 KB, patch)
2013-12-02 22:09 PST, Ryosuke Niwa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2013-12-02 22:02:02 PST
Right now, WebKit doesn't use the context element's namespace as the default namespace in the XHTML fragment parsing algorithm
when xmlns is not set as specified in http://www.whatwg.org/specs/web-apps/current-work/multipage/the-xhtml-syntax.html#parsing-xhtml-fragments
Comment 1 Ryosuke Niwa 2013-12-02 22:09:42 PST
Created attachment 218265 [details]
Patch
Comment 2 WebKit Commit Bot 2013-12-03 11:42:07 PST
Comment on attachment 218265 [details]
Patch

Clearing flags on attachment: 218265

Committed r160024: <http://trac.webkit.org/changeset/160024>
Comment 3 WebKit Commit Bot 2013-12-03 11:42:09 PST
All reviewed patches have been landed.  Closing bug.
Comment 4 Ryosuke Niwa 2013-12-04 00:04:34 PST
Filed https://bugzilla.mozilla.org/show_bug.cgi?id=946119 to track the Gecko bug.